diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-ue-rrc.cc ns-3.33/src/lte/model/lte-ue-rrc.cc
--- ns-3.32/src/lte/model/lte-ue-rrc.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-ue-rrc.cc	2021-01-09 10:19:22.000000000 -0800
@@ -3138,15 +3133,15 @@
   else
     {
       for (uint16_t i = 0; i < m_numberOfComponentCarriers; i++)
-          {
-            m_cmacSapProvider.at(i)->Reset (); // reset the MAC
-          }
-        m_hasReceivedSib2 = false;         // invalidate the previously received SIB2
-        SwitchToState (IDLE_CAMPED_NORMALLY);
-        m_connectionTimeoutTrace (m_imsi, m_cellId, m_rnti, m_connEstFailCount);
-        //Following call to UE NAS will force the UE to immediately
-        //perform the random access to the same cell again.
-        m_asSapUser->NotifyConnectionFailed ();  // inform upper layer
+        {
+          m_cmacSapProvider.at (i)->Reset ();  // reset the MAC
+        }
+      m_hasReceivedSib2 = false;           // invalidate the previously received SIB2
+      SwitchToState (IDLE_CAMPED_NORMALLY);
+      m_connectionTimeoutTrace (m_imsi, m_cellId, m_rnti, m_connEstFailCount);
+      //Following call to UE NAS will force the UE to immediately
+      //perform the random access to the same cell again.
+      m_asSapUser->NotifyConnectionFailed ();    // inform upper layer
     }
 }
 
@@ -3157,7 +3152,7 @@
   m_srb1Old = 0;
 }
 
-uint8_t 
+uint8_t
 LteUeRrc::Bid2Drbid (uint8_t bid)
 {
   std::map<uint8_t, uint8_t>::iterator it = m_bid2DrbidMap.find (bid);
@@ -3168,11 +3163,11 @@
     }
   else
     {
-  return it->second;
+      return it->second;
     }
 }
 
-void 
+void
 LteUeRrc::SwitchToState (State newState)
 {
   NS_LOG_FUNCTION (this << ToString (newState));
@@ -3184,48 +3179,48 @@
 
   switch (newState)
     {
-    case IDLE_START:
-      if (m_leaveConnectedMode)
-        {
-          NS_LOG_INFO ("Starting initial cell selection after RLF");
-        }
-      else
-        {
-          NS_FATAL_ERROR ("cannot switch to an initial state");
-        }
-      break;
+      case IDLE_START:
+        if (m_leaveConnectedMode)
+          {
+            NS_LOG_INFO ("Starting initial cell selection after RLF");
+          }
+        else
+          {
+            NS_FATAL_ERROR ("cannot switch to an initial state");
+          }
+        break;
 
-    case IDLE_CELL_SEARCH:
-    case IDLE_WAIT_MIB_SIB1:
-    case IDLE_WAIT_MIB:
-    case IDLE_WAIT_SIB1:
-      break;
+      case IDLE_CELL_SEARCH:
+      case IDLE_WAIT_MIB_SIB1:
+      case IDLE_WAIT_MIB:
+      case IDLE_WAIT_SIB1:
+        break;
 
-    case IDLE_CAMPED_NORMALLY:
-      if (m_connectionPending)
-        {
-          SwitchToState (IDLE_WAIT_SIB2);
-        }
-      break;
+      case IDLE_CAMPED_NORMALLY:
+        if (m_connectionPending)
+          {
+            SwitchToState (IDLE_WAIT_SIB2);
+          }
+        break;
 
-    case IDLE_WAIT_SIB2:
-      if (m_hasReceivedSib2)
-        {
-          NS_ASSERT (m_connectionPending);
-          StartConnection ();
-        }
-      break;
+      case IDLE_WAIT_SIB2:
+        if (m_hasReceivedSib2)
+          {
+            NS_ASSERT (m_connectionPending);
+            StartConnection ();
+          }
+        break;
+
+      case IDLE_RANDOM_ACCESS:
+      case IDLE_CONNECTING:
+      case CONNECTED_NORMALLY:
+      case CONNECTED_HANDOVER:
+      case CONNECTED_PHY_PROBLEM:
+      case CONNECTED_REESTABLISHING:
+        break;
 
-    case IDLE_RANDOM_ACCESS:
-    case IDLE_CONNECTING:
-    case CONNECTED_NORMALLY:
-    case CONNECTED_HANDOVER:
-    case CONNECTED_PHY_PROBLEM:
-    case CONNECTED_REESTABLISHING:
-      break;
- 
-    default:
-      break;
+      default:
+        break;
     }
 }
 
@@ -3273,19 +3268,19 @@
           v.rsrq = rsrq;
           std::pair<uint16_t, MeasValues> val (componentCarrierId, v);
           std::pair<std::map<uint16_t, MeasValues>::iterator, bool>
-            ret = m_storedScellMeasValues.insert (val);
+          ret = m_storedScellMeasValues.insert (val);
           NS_ASSERT_MSG (ret.second == true, "element already existed");
           storedMeasIt = ret.first;
         }
 
       NS_LOG_DEBUG (this << " IMSI " << m_imsi << " state " << ToString (m_state)
-                    << ", measured cell " << sCellId
-                    << ", carrier component Id " << componentCarrierId
-                    << ", new RSRP " << rsrp << " stored " << storedMeasIt->second.rsrp
-                    << ", new RSRQ " << rsrq << " stored " << storedMeasIt->second.rsrq);
+                         << ", measured cell " << sCellId
+                         << ", carrier component Id " << componentCarrierId
+                         << ", new RSRP " << rsrp << " stored " << storedMeasIt->second.rsrp
+                         << ", new RSRQ " << rsrq << " stored " << storedMeasIt->second.rsrq);
       storedMeasIt->second.timestamp = Simulator::Now ();
     }
-  else 
+  else
     {
       NS_LOG_DEBUG (this << " IMSI " << m_imsi << "measurement on SCC from not serving cell ");
     }
@@ -3321,7 +3316,7 @@
   NS_LOG_FUNCTION (this << m_imsi);
   m_noOfSyncIndications++;
   NS_LOG_INFO (this << " Total Number of Sync indications from PHY "
-               << (uint16_t) m_noOfSyncIndications << "N310 value : " << (uint16_t) m_n310);
+                    << (uint16_t) m_noOfSyncIndications << "N310 value : " << (uint16_t) m_n310);
   m_phySyncDetectionTrace (m_imsi, m_rnti, m_cellId, "Notify out of sync", m_noOfSyncIndications);
   if (m_noOfSyncIndications == m_n310)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/rr-ff-mac-scheduler.cc ns-3.33/src/lte/model/rr-ff-mac-scheduler.cc
--- ns-3.32/src/lte/model/rr-ff-mac-scheduler.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/rr-ff-mac-scheduler.cc	2021-01-09 10:19:22.000000000 -0800
@@ -291,7 +291,7 @@
     }
   // add the new parameters
   m_rlcBufferReq.insert (it, params);
-  NS_LOG_INFO (this << " RNTI " << params.m_rnti << " LC " << (uint16_t)params.m_logicalChannelIdentity << " RLC tx size " << params.m_rlcTransmissionQueueHolDelay << " RLC retx size " << params.m_rlcRetransmissionQueueSize << " RLC stat size " <<  params.m_rlcStatusPduSize);
+  NS_LOG_INFO (this << " RNTI " << params.m_rnti << " LC " << (uint16_t)params.m_logicalChannelIdentity << " RLC tx size " << params.m_rlcTransmissionQueueSize << " RLC retx size " << params.m_rlcRetransmissionQueueSize << " RLC stat size " <<  params.m_rlcStatusPduSize);
   // initialize statistics of the flow in case of new flows
   if (newLc == true)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/epc-test-s1u-uplink.cc ns-3.33/src/lte/test/epc-test-s1u-uplink.cc
--- ns-3.32/src/lte/test/epc-test-s1u-uplink.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/epc-test-s1u-uplink.cc	2021-01-09 10:19:22.000000000 -0800
@@ -17,9 +17,9 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * The original version of UdpClient is by  Amine Ismail
- * <amine.ismail@sophia.inria.fr> <amine.ismail@udcast.com> 
+ * <amine.ismail@sophia.inria.fr> <amine.ismail@udcast.com>
  * The rest of the code (including modifying UdpClient into
- *  EpsBearerTagUdpClient) is by Nicola Baldo <nbaldo@cttc.es> 
+ *  EpsBearerTagUdpClient) is by Nicola Baldo <nbaldo@cttc.es>
  */
 
 
@@ -62,7 +62,7 @@
  * uplink. But in this test we don't have the LteEnbNetDevice, because
  * we test the S1-U interface with simpler devices to make sure it
  * just works.
- * 
+ *
  */
 class EpsBearerTagUdpClient : public Application
 {
@@ -77,7 +77,7 @@
   EpsBearerTagUdpClient ();
   /**
    * Constructor
-   * 
+   *
    * \param rnti the RNTI
    * \param bid the BID
    */
@@ -96,7 +96,6 @@
   virtual void DoDispose (void);
 
 private:
-
   virtual void StartApplication (void);
   virtual void StopApplication (void);
 
@@ -111,9 +110,9 @@
   uint32_t m_count; ///< maximum number of packets to send
   Time m_interval; ///< the time between packets
   uint32_t m_size; ///< the size of packets generated
-  
+
   uint32_t m_sent; ///< number of packets sent
-  Ptr<Socket> m_socket; ///< the socket 
+  Ptr<Socket> m_socket; ///< the socket
   Ipv4Address m_peerAddress; ///< the peer address of the outbound packets
   uint16_t m_peerPort; ///< the destination port of the outbound packets
   EventId m_sendEvent; ///< the send event
@@ -140,12 +139,11 @@
                    "The time to wait between packets", TimeValue (Seconds (1.0)),
                    MakeTimeAccessor (&EpsBearerTagUdpClient::m_interval),
                    MakeTimeChecker ())
-    .AddAttribute (
-      "RemoteAddress",
-      "The destination Ipv4Address of the outbound packets",
-      Ipv4AddressValue (),
-      MakeIpv4AddressAccessor (&EpsBearerTagUdpClient::m_peerAddress),
-      MakeIpv4AddressChecker ())
+    .AddAttribute ("RemoteAddress",
+                   "The destination Ipv4Address of the outbound packets",
+                   Ipv4AddressValue (),
+                   MakeIpv4AddressAccessor (&EpsBearerTagUdpClient::m_peerAddress),
+                   MakeIpv4AddressChecker ())
     .AddAttribute ("RemotePort", "The destination port of the outbound packets",
                    UintegerValue (100),
                    MakeUintegerAccessor (&EpsBearerTagUdpClient::m_peerPort),
@@ -229,7 +227,7 @@
   NS_ASSERT (m_sendEvent.IsExpired ());
   SeqTsHeader seqTs;
   seqTs.SetSeq (m_sent);
-  Ptr<Packet> p = Create<Packet> (m_size-(8+4)); // 8+4 : the size of the seqTs header
+  Ptr<Packet> p = Create<Packet> (m_size - (8 + 4)); // 8+4 : the size of the seqTs header
   p->AddHeader (seqTs);
 
   EpsBearerTag tag (m_rnti, m_bid);
@@ -240,7 +238,7 @@
       ++m_sent;
       NS_LOG_INFO ("TraceDelay TX " << m_size << " bytes to "
                                     << m_peerAddress << " Uid: " << p->GetUid ()
-                                    << " Time: " << (Simulator::Now ()).GetSeconds ());
+                                    << " Time: " << (Simulator::Now ()).As (Time::S));
 
     }
   else
@@ -279,24 +277,23 @@
   uint32_t pktSize; ///< the packet size
   uint16_t rnti; ///< the RNTI
   uint8_t bid; ///< the BID
- 
+
   Ptr<PacketSink> serverApp; ///< the server application
   Ptr<Application> clientApp; ///< the client application
 };
 
-  UeUlTestData::UeUlTestData (uint32_t n, uint32_t s, uint16_t r, uint8_t l)
+UeUlTestData::UeUlTestData (uint32_t n, uint32_t s, uint16_t r, uint8_t l)
   : numPkts (n),
     pktSize (s),
     rnti (r),
     bid (l)
-{
-}
+{}
 
 /**
  * \ingroup lte-test
  * \ingroup tests
  *
- * \brief Custom structure containing information about data sent in the uplink 
+ * \brief Custom structure containing information about data sent in the uplink
  * of eNodeB. Includes the information of the data sent in the uplink per UE.
  */
 struct EnbUlTestData
@@ -332,14 +329,12 @@
 EpcS1uUlTestCase::EpcS1uUlTestCase (std::string name, std::vector<EnbUlTestData> v)
   : TestCase (name),
     m_enbUlTestData (v)
-{
-}
+{}
 
 EpcS1uUlTestCase::~EpcS1uUlTestCase ()
-{
-}
+{}
 
-void 
+void
 EpcS1uUlTestCase::DoRun ()
 {
   Ptr<PointToPointEpcHelper> epcHelper = CreateObject<PointToPointEpcHelper> ();
@@ -349,7 +344,7 @@
   Config::SetDefault ("ns3::CsmaNetDevice::Mtu", UintegerValue (30000));
   Config::SetDefault ("ns3::PointToPointNetDevice::Mtu", UintegerValue (30000));
   epcHelper->SetAttribute ("S1uLinkMtu", UintegerValue (30000));
-  
+
   // Create a single RemoteHost
   NodeContainer remoteHostContainer;
   remoteHostContainer.Create (1);
@@ -360,22 +355,22 @@
   // Create the internet
   PointToPointHelper p2ph;
   p2ph.SetDeviceAttribute ("DataRate",  DataRateValue (DataRate ("100Gb/s")));
-  NetDeviceContainer internetDevices = p2ph.Install (pgw, remoteHost);  
+  NetDeviceContainer internetDevices = p2ph.Install (pgw, remoteHost);
   Ipv4AddressHelper ipv4h;
   ipv4h.SetBase ("1.0.0.0", "255.0.0.0");
   Ipv4InterfaceContainer internetNodesIpIfaceContainer = ipv4h.Assign (internetDevices);
-  
+
   // setup default gateway for the remote hosts
   Ipv4StaticRoutingHelper ipv4RoutingHelper;
   Ptr<Ipv4StaticRouting> remoteHostStaticRouting = ipv4RoutingHelper.GetStaticRouting (remoteHost->GetObject<Ipv4> ());
 
   // hardcoded UE addresses for now
   remoteHostStaticRouting->AddNetworkRouteTo (Ipv4Address ("7.0.0.0"), Ipv4Mask ("255.255.255.0"), 1);
-  
+
 
 
   uint16_t udpSinkPort = 1234;
-    
+
   NodeContainer enbs;
   uint16_t cellIdCounter = 0;
   uint64_t imsiCounter = 0;
@@ -385,7 +380,7 @@
        ++enbit)
     {
       Ptr<Node> enb = CreateObject<Node> ();
-      enbs.Add (enb);      
+      enbs.Add (enb);
 
       // we test EPC without LTE, hence we use:
       // 1) a CSMA network to simulate the cell
@@ -400,23 +395,23 @@
       cell.Add (ues);
       cell.Add (enb);
 
-      CsmaHelper csmaCell;      
+      CsmaHelper csmaCell;
       NetDeviceContainer cellDevices = csmaCell.Install (cell);
 
-      // the eNB's CSMA NetDevice acting as an LTE NetDevice. 
+      // the eNB's CSMA NetDevice acting as an LTE NetDevice.
       Ptr<NetDevice> enbDevice = cellDevices.Get (cellDevices.GetN () - 1);
 
       // Note that the EpcEnbApplication won't care of the actual NetDevice type
-      epcHelper->AddEnb (enb, enbDevice, cellId);      
-      
-       // Plug test RRC entity
+      epcHelper->AddEnb (enb, enbDevice, cellId);
+
+      // Plug test RRC entity
       Ptr<EpcEnbApplication> enbApp = enb->GetApplication (0)->GetObject<EpcEnbApplication> ();
       NS_ASSERT_MSG (enbApp != 0, "cannot retrieve EpcEnbApplication");
       Ptr<EpcTestRrc> rrc = CreateObject<EpcTestRrc> ();
       enb->AggregateObject (rrc);
       rrc->SetS1SapProvider (enbApp->GetS1SapProvider ());
       enbApp->SetS1SapUser (rrc->GetS1SapUser ());
-      
+
       // we install the IP stack on UEs only
       InternetStackHelper internet;
       internet.Install (ues);
@@ -431,7 +426,7 @@
 
           // disable IP Forwarding on the UE. This is because we use
           // CSMA broadcast MAC addresses for this test. The problem
-          // won't happen with a LteUeNetDevice. 
+          // won't happen with a LteUeNetDevice.
           Ptr<Ipv4> ueIpv4 = ue->GetObject<Ipv4> ();
           ueIpv4->SetAttribute ("IpForward", BooleanValue (false));
 
@@ -445,28 +440,28 @@
           // the eNB uses CSMA but without IP, we fool the UE's ARP
           // cache into thinking that the IP address of the GW can be
           // reached by sending a CSMA packet to the broadcast
-          // address, so the eNB will get it.       
+          // address, so the eNB will get it.
           int32_t ueLteIpv4IfIndex = ueIpv4->GetInterfaceForDevice (ueLteDevice);
           Ptr<Ipv4L3Protocol> ueIpv4L3Protocol = ue->GetObject<Ipv4L3Protocol> ();
           Ptr<Ipv4Interface> ueLteIpv4Iface = ueIpv4L3Protocol->GetInterface (ueLteIpv4IfIndex);
-          Ptr<ArpCache> ueArpCache = ueLteIpv4Iface->GetArpCache (); 
-          ueArpCache->SetAliveTimeout (Seconds (1000));          
+          Ptr<ArpCache> ueArpCache = ueLteIpv4Iface->GetArpCache ();
+          ueArpCache->SetAliveTimeout (Seconds (1000));
           ArpCache::Entry* arpCacheEntry = ueArpCache->Add (gwAddr);
           arpCacheEntry->SetMacAddress (Mac48Address::GetBroadcast ());
           arpCacheEntry->MarkPermanent ();
-  
-          
-          PacketSinkHelper packetSinkHelper ("ns3::UdpSocketFactory", 
-                                             InetSocketAddress (Ipv4Address::GetAny (), udpSinkPort));          
+
+
+          PacketSinkHelper packetSinkHelper ("ns3::UdpSocketFactory",
+                                             InetSocketAddress (Ipv4Address::GetAny (), udpSinkPort));
           ApplicationContainer sinkApp = packetSinkHelper.Install (remoteHost);
           sinkApp.Start (Seconds (1.0));
           sinkApp.Stop (Seconds (10.0));
           enbit->ues[u].serverApp = sinkApp.Get (0)->GetObject<PacketSink> ();
-          
+
           Time interPacketInterval = Seconds (0.01);
           Ptr<EpsBearerTagUdpClient> client = CreateObject<EpsBearerTagUdpClient> (enbit->ues[u].rnti, enbit->ues[u].bid);
           client->SetAttribute ("RemoteAddress", Ipv4AddressValue (internetNodesIpIfaceContainer.GetAddress (1)));
-          client->SetAttribute ("RemotePort", UintegerValue (udpSinkPort));          
+          client->SetAttribute ("RemotePort", UintegerValue (udpSinkPort));
           client->SetAttribute ("MaxPackets", UintegerValue (enbit->ues[u].numPkts));
           client->SetAttribute ("Interval", TimeValue (interPacketInterval));
           client->SetAttribute ("PacketSize", UintegerValue (enbit->ues[u].pktSize));
@@ -474,7 +469,7 @@
           ApplicationContainer clientApp;
           clientApp.Add (client);
           clientApp.Start (Seconds (2.0));
-          clientApp.Stop (Seconds (10.0));   
+          clientApp.Stop (Seconds (10.0));
           enbit->ues[u].clientApp = client;
 
           uint64_t imsi = ++imsiCounter;
@@ -484,11 +479,11 @@
                                &EpcEnbS1SapProvider::InitialUeMessage,
                                enbApp->GetS1SapProvider (), imsi, enbit->ues[u].rnti);
           // need this since all sinks are installed in the same node
-          ++udpSinkPort; 
-        } 
-            
-    } 
-  
+          ++udpSinkPort;
+        }
+
+    }
+
   Simulator::Run ();
 
   for (std::vector<EnbUlTestData>::iterator enbit = m_enbUlTestData.begin ();
@@ -500,9 +495,9 @@
            ++ueit)
         {
           NS_TEST_ASSERT_MSG_EQ (ueit->serverApp->GetTotalRx (), (ueit->numPkts) * (ueit->pktSize), "wrong total received bytes");
-        }      
+        }
     }
-  
+
   Simulator::Destroy ();
 }
 
@@ -517,13 +512,13 @@
 {
 public:
   EpcS1uUlTestSuite ();
-  
+
 } g_epcS1uUlTestSuiteInstance;
 
 EpcS1uUlTestSuite::EpcS1uUlTestSuite ()
   : TestSuite ("epc-s1u-uplink", SYSTEM)
-{  
-  std::vector<EnbUlTestData> v1;  
+{
+  std::vector<EnbUlTestData> v1;
   EnbUlTestData e1;
   UeUlTestData f1 (1, 100, 1, 1);
   e1.ues.push_back (f1);
@@ -531,7 +526,7 @@
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 1UE", v1), TestCase::QUICK);
 
 
-  std::vector<EnbUlTestData> v2;  
+  std::vector<EnbUlTestData> v2;
   EnbUlTestData e2;
   UeUlTestData f2_1 (1, 100, 1, 1);
   e2.ues.push_back (f2_1);
@@ -541,7 +536,7 @@
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 2UEs", v2), TestCase::QUICK);
 
 
-  std::vector<EnbUlTestData> v3;  
+  std::vector<EnbUlTestData> v3;
   v3.push_back (e1);
   v3.push_back (e2);
   AddTestCase (new EpcS1uUlTestCase ("2 eNBs", v3), TestCase::QUICK);
@@ -554,38 +549,38 @@
   e3.ues.push_back (f3_2);
   UeUlTestData f3_3 (1, 1, 3, 1);
   e3.ues.push_back (f3_2);
-  std::vector<EnbUlTestData> v4;  
+  std::vector<EnbUlTestData> v4;
   v4.push_back (e3);
   v4.push_back (e1);
   v4.push_back (e2);
   AddTestCase (new EpcS1uUlTestCase ("3 eNBs", v4), TestCase::QUICK);
 
-  std::vector<EnbUlTestData> v5;  
+  std::vector<EnbUlTestData> v5;
   EnbUlTestData e5;
   UeUlTestData f5 (10, 3000, 1, 1);
   e5.ues.push_back (f5);
   v5.push_back (e5);
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 10 pkts 3000 bytes each", v5), TestCase::QUICK);
 
-  std::vector<EnbUlTestData> v6;  
+  std::vector<EnbUlTestData> v6;
   EnbUlTestData e6;
   UeUlTestData f6 (50, 3000, 1, 1);
   e6.ues.push_back (f6);
   v6.push_back (e6);
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 50 pkts 3000 bytes each", v6), TestCase::QUICK);
 
-  std::vector<EnbUlTestData> v7;  
+  std::vector<EnbUlTestData> v7;
   EnbUlTestData e7;
   UeUlTestData f7 (10, 15000, 1, 1);
   e7.ues.push_back (f7);
   v7.push_back (e7);
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 10 pkts 15000 bytes each", v7), TestCase::QUICK);
 
-  std::vector<EnbUlTestData> v8;  
+  std::vector<EnbUlTestData> v8;
   EnbUlTestData e8;
   UeUlTestData f8 (100, 15000, 1, 1);
   e8.ues.push_back (f8);
   v8.push_back (e8);
   AddTestCase (new EpcS1uUlTestCase ("1 eNB, 100 pkts 15000 bytes each", v8), TestCase::QUICK);
-  
+
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/lte-test-frequency-reuse.cc ns-3.33/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.32/src/lte/test/lte-test-frequency-reuse.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/lte-test-frequency-reuse.cc	2021-01-09 10:19:22.000000000 -0800
@@ -185,12 +185,10 @@
     m_usedMutedDlRbg (false),
     m_availableUlRb (availableUlRb),
     m_usedMutedUlRbg (false)
-{
-}
+{}
 
 LteFrTestCase::~LteFrTestCase ()
-{
-}
+{}
 
 
 
@@ -235,9 +233,7 @@
 
 void
 LteFrTestCase::DoRun (void)
-{
-
-}
+{}
 
 
 LteHardFrTestCase::LteHardFrTestCase (std::string name, uint32_t userNum,
@@ -257,8 +253,7 @@
 }
 
 LteHardFrTestCase::~LteHardFrTestCase ()
-{
-}
+{}
 
 void
 LteHardFrTestCase::DoRun (void)
@@ -374,8 +369,7 @@
 }
 
 LteStrictFrTestCase::~LteStrictFrTestCase ()
-{
-}
+{}
 
 void
 LteStrictFrTestCase::DoRun (void)
@@ -496,8 +490,7 @@
   m_usedWrongUlRbg = false;
 }
 LteFrAreaTestCase::~LteFrAreaTestCase ()
-{
-}
+{}
 
 void
 LteFrAreaTestCase::DlDataRxStart (Ptr<const SpectrumValue> spectrumValue)
@@ -573,7 +566,7 @@
       else if (m_expectedUlRb[i] == true && power > 0)
         {
           NS_TEST_ASSERT_MSG_EQ_TOL (power, m_expectedUlPower, 0.01,
-                                     "Wrong Data Channel UL Power level" << Simulator::Now ().GetSeconds ());
+                                     "Wrong Data Channel UL Power level" << Simulator::Now ().As (Time::S));
         }
       i++;
     }
@@ -632,8 +625,7 @@
 
 void
 LteFrAreaTestCase::DoRun (void)
-{
-}
+{}
 
 LteStrictFrAreaTestCase::LteStrictFrAreaTestCase (std::string name, std::string schedulerType)
   : LteFrAreaTestCase (name, schedulerType)
@@ -642,8 +634,7 @@
 }
 
 LteStrictFrAreaTestCase::~LteStrictFrAreaTestCase ()
-{
-}
+{}
 
 void
 LteStrictFrAreaTestCase::DoRun (void)
@@ -737,14 +728,14 @@
   //Since this test includes the Token Bank Fair Queue Scheduler
   //(ns3::FdTbfqFfMacScheduler) we have to treat the default
   //bearer as the dedicated bearer with QoS.
-   GbrQosInformation qos;
-   qos.mbrUl = 1e6;
-   qos.mbrDl = 1e6;
-   qos.gbrUl = 1e4;
-   qos.gbrDl = 1e4;
+  GbrQosInformation qos;
+  qos.mbrUl = 1e6;
+  qos.mbrDl = 1e6;
+  qos.gbrUl = 1e4;
+  qos.gbrDl = 1e4;
 
-   enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
-   EpsBearer bearer (q, qos);
+  enum EpsBearer::Qci q = EpsBearer::GBR_CONV_VOICE;
+  EpsBearer bearer (q, qos);
 
   lteHelper->ActivateDataRadioBearer (ueDevs1, bearer);
   lteHelper->ActivateDataRadioBearer (ueDevs2, bearer);
@@ -829,8 +820,7 @@
 }
 
 LteSoftFrAreaTestCase::~LteSoftFrAreaTestCase ()
-{
-}
+{}
 
 void
 LteSoftFrAreaTestCase::DoRun (void)
@@ -1021,8 +1011,7 @@
 }
 
 LteSoftFfrAreaTestCase::~LteSoftFfrAreaTestCase ()
-{
-}
+{}
 
 void
 LteSoftFfrAreaTestCase::DoRun (void)
@@ -1245,8 +1234,7 @@
 }
 
 LteEnhancedFfrAreaTestCase::~LteEnhancedFfrAreaTestCase ()
-{
-}
+{}
 
 void
 LteEnhancedFfrAreaTestCase::DoRun (void)
@@ -1480,8 +1468,7 @@
 }
 
 LteDistributedFfrAreaTestCase::~LteDistributedFfrAreaTestCase ()
-{
-}
+{}
 
 void
 LteDistributedFfrAreaTestCase::DoRun (void)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/test/lte-test-radio-link-failure.cc ns-3.33/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.32/src/lte/test/lte-test-radio-link-failure.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/test/lte-test-radio-link-failure.cc	2021-01-09 10:19:22.000000000 -0800
@@ -297,7 +297,7 @@
   double interPacketInterval = static_cast<double> (packetSize * 8) / bitRate;
   Time udpInterval = Seconds (interPacketInterval);
 
-  NS_LOG_DEBUG ("UDP will use application interval " << udpInterval.GetSeconds () << " sec");
+  NS_LOG_DEBUG ("UDP will use application interval " << udpInterval.As (Time::S));
 
   for (uint32_t u = 0; u < m_numUes; ++u)
     {
@@ -488,21 +488,21 @@
 
   switch (numEnbDevices)
     {
-    // 1 eNB
-    case 1:
-      NS_TEST_ASSERT_MSG_EQ (ueRrc->GetState (), LteUeRrc::IDLE_CELL_SEARCH, "Wrong LteUeRrc state!");
-      ueManagerFound = CheckUeExistAtEnb (rnti, enbDevices.Get (0));
-      NS_TEST_ASSERT_MSG_EQ (ueManagerFound, false, "Unexpected RNTI with value " << rnti << " found in eNB");
-      break;
-    // 2 eNBs
-    case 2:
-      NS_TEST_ASSERT_MSG_EQ (ueRrc->GetState (), LteUeRrc::CONNECTED_NORMALLY, "Wrong LteUeRrc state!");
-      ueManagerFound = CheckUeExistAtEnb (rnti, enbDevices.Get (1));
-      NS_TEST_ASSERT_MSG_EQ (ueManagerFound, true, "RNTI " << rnti << " is not attached to the eNB");
-      break;
-    default:
-      NS_FATAL_ERROR ("The RRC state of the UE in more then 2 eNB scenario is not defined. Consider creating more cases");
-      break;
+      // 1 eNB
+      case 1:
+        NS_TEST_ASSERT_MSG_EQ (ueRrc->GetState (), LteUeRrc::IDLE_CELL_SEARCH, "Wrong LteUeRrc state!");
+        ueManagerFound = CheckUeExistAtEnb (rnti, enbDevices.Get (0));
+        NS_TEST_ASSERT_MSG_EQ (ueManagerFound, false, "Unexpected RNTI with value " << rnti << " found in eNB");
+        break;
+      // 2 eNBs
+      case 2:
+        NS_TEST_ASSERT_MSG_EQ (ueRrc->GetState (), LteUeRrc::CONNECTED_NORMALLY, "Wrong LteUeRrc state!");
+        ueManagerFound = CheckUeExistAtEnb (rnti, enbDevices.Get (1));
+        NS_TEST_ASSERT_MSG_EQ (ueManagerFound, true, "RNTI " << rnti << " is not attached to the eNB");
+        break;
+      default:
+        NS_FATAL_ERROR ("The RRC state of the UE in more then 2 eNB scenario is not defined. Consider creating more cases");
+        break;
     }
 }
 
